Activity log for bug #1566551

Date Who What changed Old value New value Message
2016-04-05 22:18:44 Kamal Mostafa bug added bug
2016-04-05 22:18:47 Kamal Mostafa tags kernel-stable-tracking-bug
2016-04-05 22:18:48 Kamal Mostafa bug added subscriber SRU Verification
2016-04-05 22:18:49 Kamal Mostafa bug added subscriber Ubuntu Stable Release Updates Team
2016-04-05 22:18:57 Kamal Mostafa nominated for series Ubuntu Vivid
2016-04-05 22:18:58 Kamal Mostafa bug task added linux (Ubuntu Vivid)
2016-04-05 23:28:27 Kamal Mostafa description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The v3.19.8-ckt18 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://kernel.ubuntu.com/ubuntu/linux.git TEST CASE: TBD The following patches from the v3.19.8-ckt18 stable release shall be applied: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The v3.19.8-ckt18 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://kernel.ubuntu.com/ubuntu/linux.git     TEST CASE: TBD        The following patches from the v3.19.8-ckt18 stable release shall be applied: Linux 3.19.8-ckt18 x86/iopl/64: Properly context-switch IOPL on Xen PV rtc: max77686: Properly handle regmap_irq_get_virq() error code [media] v4l: vsp1: Set the SRU CTRL0 register when starting the stream perf stat: Document --detailed option drivers/misc/ad525x_dpot: AD5274 fix RDAC read back errors net: bcmgenet: fix dma api length mismatch clk: versatile: sp810: support reentrance ppp: ensure file->private_data can't be overridden regulator: s5m8767: fix get_register() error handling paride: make 'verbose' parameter an 'int' again perf pmu: Fix misleadingly indented assignment (whitespace) rtc: hym8563: fix invalid year calculation mac80211: fix unnecessary frame drops in mesh fwding kbuild/mkspec: fix grub2 installkernel issue [media] coda: fix error path in case of missing pdata on non-DT platform mlx4: add missing braces in verify_qp_parameters ASoC: s3c24xx: use const snd_soc_component_driver pointer spi/rockchip: Make sure spi clk is on in rockchip_spi_set_cs ipip: Properly mark ipip GRO packets as encapsulated. lpfc: fix misleading indentation ipv4: fix broadcast packets reception sunrpc/cache: drop reference when sunrpc_cache_pipe_upcall() detects a race rtc: vr41xx: Wire up alarm_irq_enable efi: Expose non-blocking set_variable() wrapper to efivars ARM: OMAP3: Add cpuidle parameters table for omap3430 mtd: map: fix .set_vpp() documentation ARM: davinci: make I2C support optional perf tools: handle spaces in file names obtained from /proc/pid/maps ath9k: fix buffer overrun for ar9287 drm/i915: Cleanup phys status page too ipvs: correct initial offset of Call-ID header search in SIP persistence engine clk: qcom: msm8960: fix ce3_core clk enable register fbdev: da8xx-fb: fix videomodes of lcd panels ASoC: ssm4567: Reset device before regcache_sync() net/mlx5: Make command timeout way shorter HID: logitech: fix Dual Action gamepad support misc/bmp085: Enable building as a module megaraid_sas: add missing curly braces in ioctl handler ethernet: micrel: fix some error codes sctp: fix the transports round robin issue when init is retransmitted ath9k: fix misleading indentation net: Fix use after free in the recvmmsg exit path clk: rockchip: free memory in error cases when registering clock branches mdio-sun4i: oops in error handling in probe ppp: take reference on channels netns xen kconfig: don't "select INPUT_XEN_KBDDEV_FRONTEND" clk: qcom: msm8960: Fix ce3_src register offset clk: xgene: Add missing parenthesis when clearing divider value mm/page_alloc: prevent merging between isolated and other pageblocks ocfs2/dlm: fix BUG in dlm_move_lockres_to_recovery_list ocfs2/dlm: fix race between convert and recovery MAINTAINERS: Update mailing list and web page for hwmon subsystem ideapad-laptop: Add ideapad Y700 (15) to the no_hw_rfkill DMI list staging: comedi: ni_mio_common: fix the ni_write[blw]() functions rapidio/rionet: fix deadlock on SMP fs/coredump: prevent fsuid=0 dumps into user-controlled directories tracing: Fix trace_printk() to print when not using bprintk() KVM: fix spin_lock_init order on x86 KVM: VMX: avoid guest hang on invalid invept instruction target: Fix target_release_cmd_kref shutdown comp leak bitops: Do not default to __clear_bit() for __clear_bit_unlock() splice: handle zero nr_pages in splice_to_pipe() tracing: Fix crash from reading trace_pipe with sendfile tracing: Have preempt(irqs)off trace preempt disabled functions USB: uas: Reduce can_queue to MAX_CMNDS USB: usb_driver_claim_interface: add sanity checking x86/apic: Fix suspicious RCU usage in smp_trace_call_function_interrupt() Input: ims-pcu - sanity check against missing interfaces mmc: sdhci: Fix override of timeout clk wrt max_busy_timeout x86/iopl: Fix iopl capability check on Xen PV vfs: show_vfsstat: do not ignore errors from show_devname method nfsd: fix deadlock secinfo+readdir compound mmc: mmc_spi: Add Card Detect comments and fix CD GPIO case ALSA: hda - Fix unconditional GPIO toggle via automute HID: i2c-hid: fix OOB write in i2c_hid_set_or_send_report() net: mvneta: enable change MAC address when interface is up md: multipath: don't hardcopy bio in .make_request path s390/pci: enforce fmb page boundary rule ALSA: intel8x0: Add clock quirk entry for AD1981B on IBM ThinkPad X41. bus: imx-weim: Take the 'status' property value into account xtensa: clear all DBREAKC registers on start xtensa: fix preemption in {clear,copy}_user_highpage xtensa: ISS: don't hang if stdin EOF is reached iser-target: Separate flows for np listeners and connections cma events iser-target: Add new state ISER_CONN_BOUND to isert_conn iser-target: Fix identification of login rx descriptor type dm thin metadata: don't issue prefetches if a transaction abort has failed ALSA: pcm: Avoid "BUG:" string for warnings again Bluetooth: btusb: Add a new AR3012 ID 13d3:3472 EDAC/sb_edac: Fix computation of channel address jbd2: fix FS corruption possibility in jbd2_journal_destroy() on umount path sg: fix dxferp in from_to case drm/radeon: Don't drop DP 2.7 Ghz link setup on some cards. be2iscsi: set the boot_kset pointer to NULL in case of failure bcache: fix cache_set_flush() NULL pointer dereference on OOM bcache: cleaned up error handling around register_cache() bcache: fix race of writeback thread starting before complete initialization sched/cputime: Fix steal_account_process_tick() to always return jiffies perf/x86/intel: Use PAGE_SIZE for PEBS buffer size on Core2 perf/core: Fix perf_sched_count derailment pinctrl-bcm2835: Fix cut-and-paste error in "pull" parsing rt2x00: add new rt2800usb device Buffalo WLI-UC-G450 sched/cputime: Fix steal time accounting vs. CPU hotplug KVM: i8254: change PIT discard tick policy usb: hub: fix a typo in hub_port_init() leading to wrong logic of: alloc anywhere from memblock if range not specified mtip32xx: Handle FTL rebuild failure state during device initialization mtip32xx: Handle safe removal during IO mtip32xx: Avoid issuing standby immediate cmd during FTL rebuild mtip32xx: Print exact time when an internal command is interrupted mtip32xx: Remove unwanted code from taskfile error handler mtip32xx: Fix broken service thread handling quota: Fix possible GPF due to uninitialised pointers xfs: fix two memory leaks in xfs_attr_list.c error paths nfsd4: fix bad bounds checking watchdog: rc32434_wdt: fix ioctl error handling [media] bttv: Width must be a multiple of 16 when capturing planar formats IB/srpt: Simplify srpt_handle_tsk_mgmt() mmc: sdhci: fix data timeout (part 2) mmc: sdhci: fix data timeout (part 1) Bluetooth: btusb: Add a new AR3012 ID 04ca:3014 crypto: ccp - memset request context to zero during import md/raid5: Compare apples to apples (or sectors to sectors) mtd: onenand: fix deadlock in onenand_block_markbad aic7xxx: Fix queue depth handling aacraid: Fix memory leak in aac_fib_map_free Bluetooth: Add new AR3012 ID 0489:e095 Bluetooth: btusb: Add new AR3012 ID 13d3:3395 perf tools: Dont stop PMU parsing on alias parse error [media] saa7134: Fix bytesperline not being set correctly for planar formats [media] adv7511: TX_EDID_PRESENT is still 1 after a disconnect scripts/coccinelle: modernize & HID: fix hid_ignore_special_drivers module parameter usb: retry reset if a device times out ARM: dts: armada-375: use armada-370-sata for SATA tools/hv: Use include/uapi with __EXPORTED_HEADERS__ staging: comedi: ni_tiocmd: change mistaken use of start_src for start_arg net: irda: Fix use-after-free in irtty_open() 8250: use callbacks to access UART_DLL/UART_DLM crypto: ccp - Don't assume export/import areas are aligned crypto: ccp - Limit the amount of information exported [media] pwc: Add USB id for Philips Spc880nc webcam [media] media: v4l2-compat-ioctl32: fix missing length copy in put_v4l2_buffer32 tty: Fix GPF in flush_to_ldisc(), part 2 crypto: ccp - Add hash state import and export support EDAC, amd64_edac: Shift wrapping issue in f1x_get_norm_dct_addr() cpu: Provide smpboot_thread_init() on !CONFIG_SMP kernels as well cpu: Defer smpboot kthread unparking until CPU known to scheduler USB: cdc-acm: more sanity checking Input: ati_remote2 - fix crashes on detecting device with invalid descriptor include/linux/poison.h: fix LIST_POISON{1,2} offset ALSA: usb-audio: Add sanity checks for endpoint accesses ALSA: usb-audio: Fix NULL dereference in create_fixed_stream_quirk() USB: iowarrior: fix oops with malicious USB descriptors Input: powermate - fix oops with malicious USB descriptors ipv4: Don't do expensive useless work during inetdev destroy. crypto: algif_skcipher - Fix race condition in skcipher_check_key crypto: algif_hash - Fix race condition in hash_check_key crypto: algif_skcipher - Remove custom release parent function crypto: algif_hash - Remove custom release parent function crypto: algif_skcipher - Add key check exception for cipher_null crypto: skcipher - Add crypto_skcipher_has_setkey crypto: algif_hash - Require setkey before accept(2) crypto: algif_skcipher - Add nokey compatibility path crypto: algif_skcipher - Require setkey before accept(2)
2016-04-06 00:01:39 Kamal Mostafa linux (Ubuntu Vivid): status New Fix Committed
2016-04-20 20:03:35 Launchpad Janitor branch linked lp:ubuntu/trusty-proposed/linux-lts-vivid
2016-05-09 19:28:54 Launchpad Janitor linux (Ubuntu Vivid): status Fix Committed Fix Released
2016-05-09 19:28:54 Launchpad Janitor cve linked 2016-3136
2016-05-09 19:28:54 Launchpad Janitor cve linked 2016-3137
2016-08-12 18:29:28 Launchpad Janitor branch linked lp:ubuntu/trusty-security/linux-lts-vivid
2016-08-12 18:31:41 Launchpad Janitor branch linked lp:ubuntu/trusty-updates/linux-lts-vivid